%global debug_package %{nil}
%global __python %{__python3}

Name:           gtk-doc
Version:        1.33.2
Release:        5
Summary:        Generate API documentation from comments that can be added to C code
License:        GPLv2+ and GFDL
URL:            https://www.gtk.org/gtk-doc/
Source0:        https://download.gnome.org/sources/gtk-doc/1.33/%{name}-%{version}.tar.xz
Patch0:         fix-fixxref-not-found-file.patch
Patch1:         fix-mkdb-not-found-file.patch
Patch2:         fix-gtkdoc-rebase-NoneType-object-has-no-attribute-group.patch

BuildRequires:  python3-devel docbook-utils libxslt gettext
BuildRequires:  itstool yelp-tools docbook-style-xsl gcc
BuildRequires:  dblatex meson glib2-devel
BuildRequires:  python3-pygments
BuildRequires:  python3-parameterized
BuildRequires:  python3-anytree
BuildRequires:  python3-lxml
Requires:       docbook-style-xsl docbook-utils libxslt glib2-devel
Requires:       python3-pygments python3-parameterized python3-anytree python3-lxml


%description
GTK-Doc is a project which was started to generate API documentation from comments added to C code.
It is typically used to document the public API of GTK and GNOME libraries, but it can also be used
to document application code.

%prep
%autosetup -n %{name}-%{version} -p1

mv doc/README doc/README.1

%build
export PYTHON=%{__python3}
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc README doc/* examples
%license COPYING COPYING-DOCS AUTHORS
%{_bindir}/*
%{_libdir}/cmake/
%{_datadir}/aclocal/
%{_datadir}/%{name}/
%{_datadir}/*/*.pc
%{_datadir}/help/*/%{name}-manual/

%changelog
* Tue May 24 2022 loong_C <loong_c@yeah.net> - 1.33.2-5
- fix spec changelog date

* Tue Jul 27 2021 sunguoshuai <sunguoshuai@huawei.com> - 1.33.2-4
- Del useless buildrequire gdb

* Mon Jul 26 2021 Ge Wang <wangge20@huawei.com> - 1.33.2-3
- fix gtkdoc-rebase NoneType object has no attribute 'group'

* Sun Jul 25 2021 liyanan <liyanan32@huawei.com> - 1.33.2-2
- fix not found file

* Wed May 19 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 1.33.2-1
- Upgrade to 1.33.2
- Update Version
- Vsesion 1.33.2 change its "cmake" dir to /lib64

* Tue Dec 1 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 1.33.0-1
- upgrade to 1.33.0

* Mon Jun 8 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 1.32-1
- upgrade to 1.32

* Sat Mar 21 2020 hexiujun <hexiujun1@huawei.com> - 1.29-4
- Type:NA
- ID:NA
- SUG:NA
- DESC:add gdb build require

* Wed Jan 15 2020 gulining<gulining1@huawei.com> - 1.29-3
- solve unresolveable

* Wed Dec 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.29-2
- strenthen spec

* Thu Aug 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.29-1
- Package init

